Qt Cryptographic Architecture: QCA::DSAContext Class Reference

Qt Cryptographic Architecture

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
QCA::DSAContext Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::DSAContext:
[legend]

## Public Member Functions
virtual void | createPrivate (const DLGroup &domain, bool block)=0
virtual void | createPrivate (const DLGroup &domain, const BigInteger &y, const BigInteger &x)=0
virtual void | createPublic (const DLGroup &domain, const BigInteger &y)=0
virtual DLGroup | domain () const =0
| DSAContext (Provider *p)
virtual BigInteger | x () const =0
virtual BigInteger | y () const =0
Public Member Functions inherited from QCA::PKeyBase
virtual int | bits () const =0
virtual bool | canExport () const =0
virtual void | convertToPublic ()=0
virtual bool | decrypt (const SecureArray &in, SecureArray *out, EncryptionAlgorithm alg)
virtual SymmetricKey | deriveKey (const PKeyBase &theirs)
virtual SecureArray | encrypt (const SecureArray &in, EncryptionAlgorithm alg)
virtual QByteArray | endSign ()
virtual bool | endVerify (const QByteArray &sig)
virtual bool | isNull () const =0
virtual bool | isPrivate () const =0
virtual int | maximumEncryptSize (EncryptionAlgorithm alg) const
| PKeyBase (Provider *p, const QString &type)
virtual void | startSign (SignatureAlgorithm alg, SignatureFormat format)
virtual void | startVerify (SignatureAlgorithm alg, SignatureFormat format)
virtual PKey::Type | type () const =0
virtual void | update (const MemoryRegion &in)

## Additional Inherited Members
Signals inherited from QCA::PKeyBase
void | finished ()
Protected Member Functions inherited from QCA::BasicContext
| BasicContext (Provider *parent, const QString &type)
| BasicContext (const BasicContext &from)

## Detailed Description

DSA provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want DSAPublicKey or DSAPrivateKey instead.

## Constructor & Destructor Documentation

QCA::DSAContext::DSAContext | ( | Provider * | p | ) |
| inline

Standard constructor.

Parameters

  p | the provider associated with this context

## Member Function Documentation

virtual void QCA::DSAContext::createPrivate | ( | const DLGroup & | domain,
|  | bool | block
| ) |  |
| pure virtual

Generate a DSA private key.

If block is true, then this function blocks until completion. Otherwise, this function returns immediately and finished() is emitted when the operation completes.

If an error occurs during generation, then the operation will complete and isNull() will return true.

Parameters

  domain | the domain values to use for generation
  block | whether to use blocking mode

virtual void QCA::DSAContext::createPrivate | ( | const DLGroup & | domain,
|  | const BigInteger & | y,
|  | const BigInteger & | x
| ) |  |
| pure virtual

Create a DSA private key based on its numeric components.

Parameters

  domain | the domain values to use for generation
  y | the public Y component
  x | the private X component

virtual void QCA::DSAContext::createPublic | ( | const DLGroup & | domain,
|  | const BigInteger & | y
| ) |  |
| pure virtual

Create a DSA public key based on its numeric components.

Parameters

  domain | the domain values to use for generation
  y | the public Y component

virtual DLGroup QCA::DSAContext::domain | ( |  | ) | const
| pure virtual

Returns the public domain component of this DSA key.

virtual BigInteger QCA::DSAContext::y | ( |  | ) | const
| pure virtual

Returns the public Y component of this DSA key.

virtual BigInteger QCA::DSAContext::x | ( |  | ) | const
| pure virtual

Returns the private X component of this DSA key.

The documentation for this class was generated from the following file:

- qcaprovider.h